Subject: Re: U-boot and Xilinx emaclite, TX_PING_PONG -> stops working

From: Michal Simek <[email-masked]>
Date: Wed, 20 Aug 2008 14:13:15 +0200

Hi Philipp,

I did U-BOOT driver for emaclite. You can set both ping pong mode - all
combination are supported. I tested this driver with Microblaze and works well.
I use this driver almost every day and I have no problem with it. If you have
problem with this driver please send your email to u-boot mailing list.

Regards,
Michal

> Hi all,
> 
> I use a Xilinx Virtex-4FX (with powerpc) Board (Ml403) with U-boot and
> Linux.
> 
> I am currently wondering if someone has experience with the emaclite
> driver. When I unset the "ping pong" (double buffering) parameters of
> the core, I can use it unter Linux and U-boot. But the performance is
> near to non-functional (wget tells me about 10kByte/sec).
> Then I switched to double buffering. Now it runs very well - but only
> under Linux.
> 
> I found a driver (xilinx_emaclite.c) in the U-boot git. That completely
> refuses to work correctly (of course with parameters corrected). The
> other driver I once found "somewhere" (in the Petalinux distribution).
> It at least worked without the double buffering. Both drivers talk about
> the ping pong options in their source, so I think they *should* know
> about it.
> 
> 
> Does anyone know that problem? Is there an improved driver around?
> 
> Best wishes,
> 
> Philipp
> 
> 
> 
> 
>